#ifndef _SCENEMANAGER_H_
#define _SCENEMANAGER_H_

#include <MainScene/SceneBase.h>
#include <MainScene/SceneMediator.h>
#include <SubScene/SubSceneManager.h>

class Graphic;
class KeyInput;
//--------------------------------------------------------------------------
//	V[}l[W[
//--------------------------------------------------------------------------

class SceneManager : public SceneMediator
{
public:
	//	RXgN^
	SceneManager();

	//	fXgN^
	~SceneManager();

	//	
	void Init();

	//	XV
	void Update( KeyInput& keyInput );

	//	`
	void Draw( Graphic& mGraphic );

	//	I
	void Finish();

	//	V[̕ύX
	void SceneChange( SceneBase* pSceneBase );

	//	V[̃Zbg
	void setScene(SceneBase* pSceneBase);

	//	TuV[ւ̐؂ւ
	void SubSceneChange( SubSceneBace* pSceneBase );

	//	TuV[ItO
	bool SubSceneEnd();


private:

	//	݂̃V[Ǝ̃V[
	SceneBase* mNowSceneBase;
	SceneBase* mNextSceneBase;


	//	TuV[}l[W
	SubSceneManager mSubSceneManager;

};

#endif