#include <Utility/Image/Graphic.h>
#include <boost/lexical_cast.hpp>

//--------------------------------------------------------------------------
//	RXgN^
//--------------------------------------------------------------------------
Graphic::Graphic() :
mImage()
{

}
//--------------------------------------------------------------------------
//	fXgN^
//--------------------------------------------------------------------------
Graphic::~Graphic()
{

}
//--------------------------------------------------------------------------
//	eNX`̓ǂݍ
//--------------------------------------------------------------------------
void Graphic::textrueLoad( int key , char* file)
{
	mTextrueContiner.insert( 
		std::map< int, int >::value_type( key , LoadGraph( file ) )
		);
}

//--------------------------------------------------------------------------
//	AԃeNX`̓ǂݍ(ӂ̒ꍇ)
//--------------------------------------------------------------------------
void Graphic::divTextrueLoad( int key , char* file , int sizeX , int sizeY , int* handle )
{
	//	TCY擾p
	int x = 0 , y = 0;

	int tmp = LoadGraph( file );

	//	摜̃TCY𒲂ׂ
	if(GetGraphSize( tmp , &x, &y ) == -1)
	{
		MB( "Grahic::divTextrueLoad TCYG[" );
		DeleteGraph( tmp );
		return;
	}

	DeleteGraph( tmp );

	//	`bvvZ
	x = x / sizeX;
	y = y / sizeY;

		//	ǂݍ
	LoadDivGraph( file , (x * y), x, y, sizeX, sizeY, handle );

	mDivTextrueContiner.insert(
		std::map< int , int* >::value_type( key , handle )
		);
}

//--------------------------------------------------------------------------
//	AԃeNX`̓ǂݍ(ӂ̒ꍇ)
//--------------------------------------------------------------------------
//void Graphic::divTextrueLoad( int key , char* file , int xSize , int ySize )
//{
//
//}

//--------------------------------------------------------------------------
//	eNX`̑SJ
//--------------------------------------------------------------------------
void Graphic::textrueUnload()
{
	mTextrueContiner.clear();
}

//--------------------------------------------------------------------------
//	OtBbNnh̎擾
//--------------------------------------------------------------------------
int Graphic::getGraphicHandle(int key)
{
	return mTextrueContiner[key];
}

//--------------------------------------------------------------------------
//	AԃOtBbNnh̎擾
//--------------------------------------------------------------------------
int Graphic::getDivGraphicHandle(int key , int num)
{
	return mDivTextrueContiner[key][num];
}
