#include <GameApplication/TouhouApplication.h>
#include <MainScene/SceneManager.h>
#include <MainScene/ResourceLoadingScene.h>
//-------------------------------------------------------------------
//	RXgN^
//-------------------------------------------------------------------
TouhouApplication::TouhouApplication() :
mSceneManager() ,
mGraphic(),
mKeyInput()
{
	//	Q[ÑV[̃Zbg	
	mSceneManager.setScene( new ResourceLoadingScene( mSceneManager ) );
}
//-------------------------------------------------------------------
//	fXgN^
//-------------------------------------------------------------------
TouhouApplication::~TouhouApplication()
{
	//	AvP[VIƂɃ\[XJ
	mGraphic.textrueUnload();
}
//-------------------------------------------------------------------
//	
//-------------------------------------------------------------------
void TouhouApplication::Init()
{
	mKeyInput.Init();
	mSceneManager.Init();

}
//-------------------------------------------------------------------
//	XV
//-------------------------------------------------------------------
void TouhouApplication::Update()
{

	mSceneManager.Update( mKeyInput );

}
//-------------------------------------------------------------------
//	\
//-------------------------------------------------------------------
void TouhouApplication::Draw()
{
	//	̈mGraphicɂāASĂglɂB
	mSceneManager.Draw( mGraphic );

}
//-------------------------------------------------------------------
//	I
//-------------------------------------------------------------------
void TouhouApplication::Finish()
{

	mSceneManager.Finish();

}
