#ifndef _TOUHOUAPPLICATION_H_
#define _TOUHOUAPPLICATION_H_

#include <GameApplication/GameApplication.h>
#include <MainScene/SceneManager.h>
#include <Utility/Image/Graphic.h>
#include <Utility/KeyConfig/KeyInput.h>

//--------------------------------------------------------------------------
//	AvP[VNX
//--------------------------------------------------------------------------
class TouhouApplication : public GameApplication
{
public:

	//	RXgN^
	TouhouApplication();

	//	fXgN^
	~TouhouApplication();

	//	
	void Init();

	//	XV
	void Update();

	//	\
	void Draw();

	//	I
	void Finish();

private:
	SceneManager mSceneManager;
	Graphic mGraphic;
	KeyInput mKeyInput;
};

#endif