#include "Utility/KeyConfig/KeyInput.h"
#include "Utility/KeyConfig/KeyChecker.h"
#include "DxLib.h"

KeyInput::KeyInput()
{
}

KeyInput::~KeyInput()
{
}

void KeyInput::Init()
{


	//	L[z				CũL[R[h
	JoyKey[INPUT_DOWN]		= PAD_INPUT_DOWN;
	JoyKey[INPUT_LEFT]		= PAD_INPUT_LEFT;
	JoyKey[INPUT_RIGHT]		= PAD_INPUT_DOWN;
	JoyKey[INPUT_UP]		= PAD_INPUT_UP;
	JoyKey[INPUT_A]			= PAD_INPUT_A;
	JoyKey[INPUT_B]			= PAD_INPUT_B;
	JoyKey[INPUT_C]			= PAD_INPUT_C;
	JoyKey[INPUT_X]			= PAD_INPUT_X;
	JoyKey[INPUT_Y]			= PAD_INPUT_Y;
	JoyKey[INPUT_Z]			= PAD_INPUT_Z;
	JoyKey[INPUT_L]			= PAD_INPUT_L;
	JoyKey[INPUT_R]			= PAD_INPUT_R;
	JoyKey[INPUT_START]		= PAD_INPUT_START;
	JoyKey[INPUT_M]			= PAD_INPUT_M;

	//	WCL[z			CũWCL[R[h
	Key[INPUT_DOWN]			= KEY_INPUT_DOWN;
	Key[INPUT_LEFT]			= KEY_INPUT_LEFT;
	Key[INPUT_RIGHT]		= KEY_INPUT_RIGHT;
	Key[INPUT_UP]			= KEY_INPUT_UP;
	Key[INPUT_A]			= KEY_INPUT_Z;
	Key[INPUT_B]			= KEY_INPUT_X;
	Key[INPUT_C]			= KEY_INPUT_C;
	Key[INPUT_X]			= KEY_INPUT_A;
	Key[INPUT_Y]			= KEY_INPUT_S;
	Key[INPUT_Z]			= KEY_INPUT_D;
	Key[INPUT_L]			= KEY_INPUT_Q;
	Key[INPUT_R]			= KEY_INPUT_W;
	Key[INPUT_START]		= KEY_INPUT_ESCAPE;
	Key[INPUT_M]			= KEY_INPUT_SPACE;
	


}

//	`ꂽ{^(L[{[hWCXeBbN)Ă邩ǂ
bool KeyInput::GetKeyState(int KeyCode)
{
	//								WCL[z		L[{[hz
	return (KeyChecker::GetJoyState( JoyKey[KeyCode] ) | KeyChecker::GetKeyState( Key[KeyCode] ));

}

//	`ꂽ{^(L[{[hWCXeBbN)ꂽǂ
bool KeyInput::GetKeyTrigger(int KeyCode)
{
	//								WCL[z		L[{[hz
	return KeyChecker::GetJoyTrigger( JoyKey[KeyCode] ) | KeyChecker::GetKeyTrigger( Key[KeyCode] );
}

//	L[{[hz̗vfւ
void KeyInput::SetKeyCode(int num, int KeyCode)
{
	Key[num] = KeyCode;
}

//	WCL[zւ
void KeyInput::SetJoyKeyCode(int num, int KeyCode)
{
	JoyKey[num] = KeyCode;
}

//KeyInput& KeyInput::GetInstance()
//{
//	static KeyInput mKeyInput;
//
//	return mKeyInput;
//}




